geos::io::ByteOrderDataInStream Class Reference

Allows reading an stream of primitive datatypes from an underlying istream, with the representation being in either common byte ordering. More...

`#include <ByteOrderDataInStream.h>`

## Public Member Functions

| ByteOrderDataInStream (const unsigned char *buff, size_t buffsz)
void | setOrder (int order)
unsigned char | readByte ()
int32_t | readInt ()
uint32_t | readUnsigned ()
int64_t | readLong ()
double | readDouble ()
size_t | size () const

## Detailed Description

Allows reading an stream of primitive datatypes from an underlying istream, with the representation being in either common byte ordering.

The documentation for this class was generated from the following file:

- ByteOrderDataInStream.h